Subject: Re: bug#69525: 30.0.50; MacOS: New warnings on stderr

From: Gerd Möllmann <[email-masked]>
Date: Fri, 26 Jul 2024 21:24:36 +0200

Alan Third <[email-masked]> writes:

>> >   - (void)insertText: (id)aString
>> >
>> > Stopped here.
>
> FYI, up at the top right of the Apple docs you can change from Swift
> to Objective C, which will probably make comparisons easier.

Ah thanks, I didn't see that!

>
>> Apple's documentation says
>> 
>>   Important
>>   
>>   NSTextInput protocol is slated for deprecation. Please use the
>>   NSTextInputClient protocol instead.
>> 
>> I guess that's the reason for the warning, and we should switch to using
>> NSTextInputClient.
>
> Looks that way. AFAICT NSTextInputClient should be available on all
> versions of macOS we support and also in GNUstep, although it can be
> hard to tell which versions of GNUstep support what.
>
> Some of these functions are just used for normal input, but many of
> them are used exclusively for macOS input methods.

I find Apple's documentation of the protocol pretty bad, to say the
least, and examples seem to be lacking completely. Don't know if I can
pull that off.